> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetPhoneNumberReports

POST https://api.voximplant.com/platform_api/GetPhoneNumberReports

Receives information about the created phone numbers report or list of reports.

Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Accountant`, `Support`, `Payer`, `PhoneNumberManager`.

**Example request:** Get all the reports.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/phone-numbers/get-phone-number-reports

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetPhoneNumberReports:
    post:
      operationId: get-phone-number-reports
      summary: GetPhoneNumberReports
      description: >-
        Receives information about the created phone numbers report or list of
        reports.


        Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`,
        `Accountant`, `Support`, `Payer`, `PhoneNumberManager`.


        **Example request:** Get all the reports.
      tags:
        - subpackage_phoneNumbers
      parameters:
        - name: report_id
          in: query
          description: The phone number report ID to filter
          required: false
          schema:
            type: integer
        - name: report_type
          in: query
          description: >-
            The phone number report type list separated by semicolons (;). The
            possible values are: phone_numbers,
            phone_numbers_awaiting_configuration
          required: false
          schema:
            type: array
            items:
              type: string
        - name: created_from
          in: query
          description: >-
            The UTC creation from date filter in 24-h format: YYYY-MM-DD
            HH:mm:ss
          required: false
          schema:
            type: string
        - name: created_to
          in: query
          description: 'The UTC creation to date filter in 24-h format: YYYY-MM-DD HH:mm:ss'
          required: false
          schema:
            type: string
        - name: is_completed
          in: query
          description: Whether the report is completed
          required: false
          schema:
            type: boolean
        - name: desc_order
          in: query
          description: Whether to get records in the descent order
          required: false
          schema:
            type: boolean
            default: false
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/phone-numbers_GetPhoneNumberReports_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    CommonReportTypeError:
      type: object
      properties:
        msg:
          type: string
        code:
          type: integer
      title: CommonReportTypeError
    CommonReportType:
      type: object
      properties:
        report_id:
          type: integer
          description: The phone number report ID
        type:
          type: string
          description: >-
            The report type. The following values are possible: phone_numbers,
            phone_numbers_awaiting_configuration, none
        created:
          type: string
          description: >-
            Timestamp in YYYY-MM-DD HH:mm:ss format.


            The creation time in the UTC timezone in 24-h format: YYYY-MM-DD
            HH:mm:ss
        format:
          type: string
          description: 'The report format type. The following values are possible: csv'
        completed:
          type: string
          description: >-
            Timestamp in YYYY-MM-DD HH:mm:ss format.


            The UTC completion time in 24-h format: YYYY-MM-DD HH:mm:ss. The
            report is completed if the field exists
        file_name:
          type: string
          description: The report file name
        file_size:
          type: number
          format: double
          description: The report file size
        download_size:
          type: number
          format: double
          description: The gzipped report size to download
        download_count:
          type: integer
          description: The download attempt count
        last_downloaded:
          type: string
          description: >-
            Timestamp in YYYY-MM-DD HH:mm:ss format.


            The last download UTC time in 24-h format: YYYY-MM-DD HH:mm:ss. The
            report is completed if the field exists
        store_until:
          type: string
          description: >-
            Date string as returned by the Management API.


            Store the report until the date in the following format: YYYY-MM-DD.
            The report is completed if the field exists
        filters:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            The report order filters (the saved [GetCallHistory],
            [GetTransactionHistory] parameters)
        calculated_data:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            The calculated report data (the specific report data, see
            [CalculatedCallHistoryDataType],
            [CalculatedTransactionHistoryDataType])
        report_type:
          type: string
        error:
          $ref: '#/components/schemas/CommonReportTypeError'
      description: The phone number report info.
      title: CommonReportType
    phone-numbers_GetPhoneNumberReports_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/CommonReportType'
        total_count:
          type: integer
          description: The total found reports count
        count:
          type: integer
          description: The returned reports count
      title: phone-numbers_GetPhoneNumberReports_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetPhoneNumberReports"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetPhoneNumberReports';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetPhoneNumberReports"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetPhoneNumberReports")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetPhoneNumberReports")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetPhoneNumberReports', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetPhoneNumberReports");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetPhoneNumberReports")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```